import { AppHeader, GetSenderAddressResult, ListenerResponder, RemoteSender, ResponseCallback, Sign, SnOpts, TimeoutCallback } from './types';
export declare let logFlags: {
    net_verbose: boolean;
    net_stats: boolean;
    net_rust: boolean;
};
export declare const getSenderAddress: (raw_tx: string) => GetSenderAddressResult;
export declare const Sn: (opts: SnOpts) => {
    send: (port: number, address: string, data: unknown, timeout?: number, onResponse?: ResponseCallback, onTimeout?: TimeoutCallback) => Promise<void>;
    sendWithHeader: (port: number, address: string, data: unknown, header: AppHeader, timeout?: number, onResponse?: ResponseCallback, onTimeout?: TimeoutCallback) => Promise<void>;
    multiSendWithHeader: (ports: number[], addresses: string[], data: unknown, header: AppHeader, timeout?: number, onResponse?: ResponseCallback, onTimeout?: TimeoutCallback, awaitProcessing?: boolean) => Promise<void>;
    listen: (handleData: (data: unknown, remote: RemoteSender, respond: ListenerResponder, header?: AppHeader | undefined, sign?: Sign | undefined) => void) => Promise<any>;
    stopListening: (server: any) => any;
    stats: () => any;
    evictSocket: (port: number, address: string) => any;
    updateHeaderOpts: (opts: {
        sendHeaderVersion: number;
    }) => void;
    setLogFlags: (setLogFlags: any) => void;
};
