/// <reference types="node" />
export interface TTLMapValue<T> {
    value: T;
    expiry: number;
    timeoutId?: NodeJS.Timeout;
}
export declare type OnExpiryCallback<T> = (key: string, value: T) => void;
export declare class TTLMap<T> {
    private readonly map;
    set(key: string, value: T, ttl: number, onExpiry?: OnExpiryCallback<T>): void;
    get(key: string): T | undefined;
    delete(key: string): void;
}
